## org.gnu.gtk
Class PolicyType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.PolicyType

public class PolicyType
extends org.gnu.glib.Enum

Determines when a scrollbar is visible.

     ALWAYS
     The scrollbar is always visible
     AUTOMATIC
     The scrollbark will appear and disappear as needed
     NEVER
     The scrollbar will never appear

Field Summary
`static PolicyType` `ALWAYS`
`static PolicyType` `AUTOMATIC`
`static PolicyType` `NEVER`

Method Summary
`PolicyType` `and(PolicyType other)`
`static PolicyType` `intern(int value)`
`PolicyType` `or(PolicyType other)`
`boolean` `test(PolicyType other)`
`PolicyType` `xor(PolicyType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALWAYS

    public static final PolicyType ALWAYS

### AUTOMATIC

    public static final PolicyType AUTOMATIC

### NEVER

    public static final PolicyType NEVER

Method Detail

### intern

    public static PolicyType intern(int value)

### or

    public PolicyType or(PolicyType other)

### and

    public PolicyType and(PolicyType other)

### xor

    public PolicyType xor(PolicyType other)

### test

    public boolean test(PolicyType other)